
/**
 * An interface for a graph that could be connected.
 *
 * @author Frank M. Carrano
 * @version 11/21/2015
 */
public interface ConnectedGraphInterface<T> extends GraphInterface<T>
{
    /**
     * Sees whether this graph is connected.
     *
     * @param origin any vertex
     * @return true if the graph is connected
     */
    public boolean isConnected(T origin);
} // end GraphInterface
